import { Base, Stream, Type } from "igniteui-angular-core";
import { Dictionary$2 } from "igniteui-angular-core";
import { Encoding } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { BinaryReader } from "igniteui-angular-core";
import { InformationBase_PropertySectionDefinition } from "./InformationBase_PropertySectionDefinition";
import { InformationBase_PropertyDefinition } from "./InformationBase_PropertyDefinition";
import { BinaryWriter } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class InformationBase extends Base {
    static $t: Type;
    private a;
    private g;
    private c;
    constructor();
    protected static h(a: List$1<string>): Encoding;
    k(a: Stream): void;
    protected l(a: List$1<InformationBase_PropertySectionDefinition>): void;
    protected e(a: BinaryReader, b: InformationBase_PropertyDefinition): any;
    protected m(a: BinaryReader, b: InformationBase_PropertySectionDefinition): void;
    protected i(a: BinaryReader, b: InformationBase_PropertySectionDefinition): Encoding;
    protected n(a: BinaryReader, b: InformationBase_PropertySectionDefinition): void;
    o(a: Stream): void;
    protected p(): void;
    protected q(a: BinaryWriter, b: InformationBase_PropertySectionDefinition): void;
    protected r(a: BinaryWriter, b: InformationBase_PropertySectionDefinition): void;
    readonly b: Dictionary$2<number, any>;
    protected abstract readonly f: string;
}
